VisualAgeLinker (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.ibm.VisualAgeLinker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.ibm
Class VisualAgeLinker

    java.lang.Object
      net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
          net.sf.antcontrib.cpptasks.compiler.AbstractLinker
              net.sf.antcontrib.cpptasks.compiler.CommandLineLinker
                  net.sf.antcontrib.cpptasks.gcc.AbstractLdLinker
                      net.sf.antcontrib.cpptasks.ibm.VisualAgeLinker

All Implemented Interfaces:
  java.lang.Cloneable, Linker, Processor

    public final class VisualAgeLinker

extends AbstractLdLinker

Adapter for IBM(r) Visual Age(tm) Linker for AIX(tm)

Author:
  Curt Arnold

Field Summary

Fields inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`DEFAULT_DISCARD_BID, DEFAULT_PROCESS_BID`

Method Summary
`void` | `addImpliedArgs(boolean debug, LinkType linkType, java.util.Vector args)`
`protected java.lang.String` | `getDynamicLibFlag()`
`java.lang.String` | `getIdentifier()` Gets identifier for the compiler.
`static VisualAgeLinker` | `getInstance()`
`Linker` | `getLinker(LinkType type)` Gets the linker for the specified link type.
`protected java.lang.String` | `getStaticLibFlag()`

Methods inherited from class net.sf.antcontrib.cpptasks.gcc.AbstractLdLinker
`addBase, addEntry, addFixed, addIncremental, addLibraryPatterns, addLibrarySets, addMap, addStack, getCommandFileSwitch, getEnvironmentIncludePath, getLibraryKey, getLibraryPath, getLibraryPatterns, getMaximumCommandLength, getOutputFileNames, getOutputFileSwitch, isCaseSensitive, isHPUX, prepareArguments`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.CommandLineLinker
`createConfiguration, decorateLinkerOption, getCommand, getLibtoolLinker, getOutputFileSwitch, getStartupObject, link, prepareFilename, prepareResponseFile, quoteFilename, runCommand, setCommand`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractLinker
`addVersionFiles, bid, changeEnvironment, createConfiguration`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`clone, getHeaderExtensions, getIdentifier, getOSArch, getOSName, getSourceExtensions, isDarwin, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static VisualAgeLinker getInstance()

### addImpliedArgs

    public void addImpliedArgs(boolean debug,
                               LinkType linkType,
                               java.util.Vector args)

  Overrides:
    `addImpliedArgs` in class `AbstractLdLinker`

### getLinker

    public Linker getLinker(LinkType type)

  Description copied from interface: `Linker`
  Gets the linker for the specified link type.

  Returns:
    appropriate linker or null, will return this if this linker can handle the specified link type

### getIdentifier

    public java.lang.String getIdentifier()

  Gets identifier for the compiler. Initial attempt at extracting version information would lock up. Using a stock response.

  Specified by:
    `getIdentifier` in interface `Processor`
  Overrides:
    `getIdentifier` in class `CommandLineLinker`

### getDynamicLibFlag

    protected java.lang.String getDynamicLibFlag()

  Overrides:
    `getDynamicLibFlag` in class `AbstractLdLinker`

### getStaticLibFlag

    protected java.lang.String getStaticLibFlag()

  Overrides:
    `getStaticLibFlag` in class `AbstractLdLinker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.